org.jsr166

## Class ConcurrentLinkedHashMap.HashEntry<K,V>

- java.lang.Object
- - org.jsr166.ConcurrentLinkedHashMap.HashEntry<K,V>

Enclosing class:
  ConcurrentLinkedHashMap<K,V>

    public static final class ConcurrentLinkedHashMap.HashEntry<K,V>
    extends Object

ConcurrentHashMap list entry. Note that this is never exported out as a user-visible Map.Entry. Because the value field is volatile, not final, it is legal wrt the Java Memory Model for an unsynchronized reader to see null instead of initial value when read via a data race. Although a reordering leading to this is not likely to ever actually occur, the Segment.readValueUnderLock method is used as a backup in case a null (pre-initialized) value is ever seen in an unsynchronized access method.

### Method Summary

Methods
`K` `getKey()` Returns key of this entry.
`V` `getValue()` Return value of this entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getKey

    public K getKey()

Returns key of this entry.

Returns:
  Key.

#### getValue

    public V getValue()

Return value of this entry.

Returns:
  Value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015